Bug 630271 - Review Request: ghc-http-wget - A simple HTTP client that wraps the wget tool
Review Request: ghc-http-wget - A simple HTTP client that wraps the wget tool
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On: 630223 630270
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-04 10:33 EDT by Ben Boeckel
Modified: 2011-10-24 21:49 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-24 21:49:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-09-04 10:33:49 EDT
Spec URL: http://benboeckel.net/packaging/ghc-http-wget/ghc-http-wget.spec
SRPM URL: http://benboeckel.net/packaging/ghc-http-wget/ghc-http-wget-0.6.2-1.fc14.src.rpm
Description:
This provides the simplest interface I could imagine to
making HTTP requests. It supports GET and POST parameters.
Since it simply wraps the WGET program, there are no library
dependencies, and it automatically gets HTTPS.

% lintmock fedora-14-x86_64-bb
ghc-http-wget.src: W: strange-permission ghc-http-wget.spec 0640L
ghc-http-wget.src: W: strange-permission http-wget-0.6.2.tar.gz 0640L
ghc-http-wget-prof.x86_64: E: devel-dependency ghc-http-wget-devel
ghc-http-wget-prof.x86_64: W: no-documentation
ghc-http-wget-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/http-wget-0.6.2/libHShttp-wget-0.6.2_p.a
4 packages and 0 specfiles checked; 1 errors, 4 warnings.
Comment 1 Ben Boeckel 2010-10-30 15:03:01 EDT
The authenticate package no longer depends on http-wget.
Comment 2 Jens Petersen 2011-01-28 06:07:21 EST
As earlier discussed on Fedora haskell-devel list,
dropping libraries for now from the toplevel of Haskell-pkg-reviews,
so we, the Haskell SIG, can focus more on getting Haskell apps into Fedora.

To get you library back under the tracker please submit a bin or binlib
package that depends on this library and make this bug block that package
review.  It is a good idea to submit full stacks of packages and then
to add the toplevel program to the tracker.
Comment 3 Jens Petersen 2011-09-21 12:20:31 EDT
No reverse deps on hackage.

Note You need to log in before you can comment on or make changes to this bug.